# Class T8gdReader

##### Index

### Constructors

constructor

### Accessors

buffer
isValid

### Methods

getMeshOffset
getMeshOffsetByBinaryHash

## Constructors

### constructor

- new T8gdReader(_buffer: ArrayBuffer): T8gdReader

  #### Parameters

  - _buffer: ArrayBuffer

  #### Returns T8gdReader

## Accessors

### buffer

- get buffer(): ArrayBuffer

  #### Returns ArrayBuffer

### isValid

- get isValid(): boolean

  #### Returns boolean

## Methods

### getMeshOffset

- getMeshOffset(base64Hash: string): undefined | number

  #### Parameters

  - base64Hash: string

  #### Returns undefined | number

### getMeshOffsetByBinaryHash

- getMeshOffsetByBinaryHash(hash: Uint8Array): undefined | number

  #### Parameters

  - hash: Uint8Array

  #### Returns undefined | number